GNU Radio 2.x: gr_fir_sysconfig Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Class List | File List | Class Members | File Members

# gr_fir_sysconfig Class Reference

`#include <gr_fir_sysconfig.h>`

Inheritance diagram for gr_fir_sysconfig:

[legend]
List of all members.

## Detailed Description

abstract base class for configuring the automatic selection of the fastest gr_fir for your platform.

This is used internally by gr_fir_util.

## Public Member Functions
virtual | ~gr_fir_sysconfig ()
virtual gr_fir_ccf * | create_gr_fir_ccf (const std::vector< float > &taps)=0
virtual gr_fir_fcc * | create_gr_fir_fcc (const std::vector< gr_complex > &taps)=0
virtual gr_fir_ccc * | create_gr_fir_ccc (const std::vector< gr_complex > &taps)=0
virtual gr_fir_fff * | create_gr_fir_fff (const std::vector< float > &taps)=0
virtual gr_fir_scc * | create_gr_fir_scc (const std::vector< gr_complex > &taps)=0
virtual gr_fir_fsf * | create_gr_fir_fsf (const std::vector< float > &taps)=0
virtual void | get_gr_fir_ccf_info (std::vector< gr_fir_ccf_info > *info)=0
virtual void | get_gr_fir_fcc_info (std::vector< gr_fir_fcc_info > *info)=0
virtual void | get_gr_fir_ccc_info (std::vector< gr_fir_ccc_info > *info)=0
virtual void | get_gr_fir_fff_info (std::vector< gr_fir_fff_info > *info)=0
virtual void | get_gr_fir_scc_info (std::vector< gr_fir_scc_info > *info)=0
virtual void | get_gr_fir_fsf_info (std::vector< gr_fir_fsf_info > *info)=0

## Constructor & Destructor Documentation

gr_fir_sysconfig::~gr_fir_sysconfig | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual gr_fir_ccc* gr_fir_sysconfig::create_gr_fir_ccc | ( | const std::vector< gr_complex > & | taps | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual gr_fir_ccf* gr_fir_sysconfig::create_gr_fir_ccf | ( | const std::vector< float > & | taps | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual gr_fir_fcc* gr_fir_sysconfig::create_gr_fir_fcc | ( | const std::vector< gr_complex > & | taps | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual gr_fir_fff* gr_fir_sysconfig::create_gr_fir_fff | ( | const std::vector< float > & | taps | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual gr_fir_fsf* gr_fir_sysconfig::create_gr_fir_fsf | ( | const std::vector< float > & | taps | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual gr_fir_scc* gr_fir_sysconfig::create_gr_fir_scc | ( | const std::vector< gr_complex > & | taps | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual void gr_fir_sysconfig::get_gr_fir_ccc_info | ( | std::vector< gr_fir_ccc_info > * | info | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual void gr_fir_sysconfig::get_gr_fir_ccf_info | ( | std::vector< gr_fir_ccf_info > * | info | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual void gr_fir_sysconfig::get_gr_fir_fcc_info | ( | std::vector< gr_fir_fcc_info > * | info | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual void gr_fir_sysconfig::get_gr_fir_fff_info | ( | std::vector< gr_fir_fff_info > * | info | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual void gr_fir_sysconfig::get_gr_fir_fsf_info | ( | std::vector< gr_fir_fsf_info > * | info | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

virtual void gr_fir_sysconfig::get_gr_fir_scc_info | ( | std::vector< gr_fir_scc_info > * | info | ) | `[pure virtual]`

| Implemented in gr_fir_sysconfig_generic, and gr_fir_sysconfig_x86.

The documentation for this class was generated from the following files:

- gr_fir_sysconfig.h
- gr_fir_sysconfig.cc